Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.actions.LaunchAction Class Reference
Inheritance diagram for com.foxit.sdk.pdf.actions.LaunchAction:

## Public Member Functions
| LaunchAction (Action action)
| Constructor, with parent class object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
FileSpec | getFileSpec () throws com.foxit.sdk.PDFException
| Get the file specification which specifies the application to be launched or the document to be opened or printed. More...
int | getNewWindowFlag () throws com.foxit.sdk.PDFException
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
String | getWinAppOperation () throws com.foxit.sdk.PDFException
| (Windows-specific launch parameters) Get the operation name. More...
String | getWinAppParameter () throws com.foxit.sdk.PDFException
| (Windows-specific launch parameters) Get parameter string to be passed to the specified application. More...
String | getWinDefaultDirectory () throws com.foxit.sdk.PDFException
| (Windows-specific launch parameters) Get the default directory in standard DOS syntax. More...
String | getWinFileName () throws com.foxit.sdk.PDFException
| (Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed. More...
void | setFileSpec (FileSpec file_specification) throws com.foxit.sdk.PDFException
| Set a file specification which specifies an application to be launched or a document to be opened or printed. More...
void | setNewWindowFlag (int flag) throws com.foxit.sdk.PDFException
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
void | setWinLaunchParameter (String file_name, String default_directory, String operation, String app_parameter) throws com.foxit.sdk.PDFException
| (Windows-specific launch parameters)Set Windows-specific launch parameters. More...
Public Member Functions inherited from com.foxit.sdk.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get PDF dictionary of current object. More...
PDFDoc | getDocument () throws com.foxit.sdk.PDFException
| Get the PDF document, to which current action belongs. More...
Action | getSubAction (int index) throws com.foxit.sdk.PDFException
| Get a sub-action by index. More...
int | getSubActionCount () throws com.foxit.sdk.PDFException
| Get the count of sub-actions. More...
int | getType () throws com.foxit.sdk.PDFException
| Get action type. More...
void | insertSubAction (int index, Action sub_action) throws com.foxit.sdk.PDFException
| Insert a new sub-action to the location specified by index. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | removeAllSubActions () throws com.foxit.sdk.PDFException
| Remove all the sub-actions. More...
void | removeSubAction (int index) throws com.foxit.sdk.PDFException
| Remove a sub-action, specified by index. More...
void | setSubAction (int index, Action sub_action) throws com.foxit.sdk.PDFException
| Set a sub-action by index. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Additional Inherited Members
Static Public Member Functions inherited from com.foxit.sdk.pdf.actions.Action
static Action | create (PDFDoc document, int action_type) throws com.foxit.sdk.PDFException
| Create a new action, for specified action type. More...
Static Public Attributes inherited from com.foxit.sdk.pdf.actions.Action
static final int | e_NewWindowFlagFalse = 0
| "NewWindow" flag is false.
static final int | e_NewWindowFlagNone = 2
| No "NewWindow" flag.
static final int | e_NewWindowFlagTrue = 1
| "NewWindow" flag is true.
static final int | e_TypeGoto = 1
| Action type: go-to action.
static final int | e_TypeGoTo3DView = 18
| Action type: go-to-3D-view action.
static final int | e_TypeGoToE = 3
| Action type: embedded go-to action.
static final int | e_TypeGoToR = 2
| Action type: remote go-to action.
static final int | e_TypeHide = 9
| Action type: hide action.
static final int | e_TypeImportData = 13
| Action type: import-data action.
static final int | e_TypeJavaScript = 14
| Action type: JavaScript action.
static final int | e_TypeLaunch = 4
| Action type: launch action.
static final int | e_TypeMovie = 8
| Action type: movie action.
static final int | e_TypeNamed = 10
| Action type: named action.
static final int | e_TypeRendition = 16
| Action type: rendition action.
static final int | e_TypeResetForm = 12
| Action type: reset-form action.
static final int | e_TypeSetOCGState = 15
| Action type: set-OCG-state action.
static final int | e_TypeSound = 7
| Action type: sound action.
static final int | e_TypeSubmitForm = 11
| Action type: submit-form action.
static final int | e_TypeThread = 5
| Action type: thread action.
static final int | e_TypeTrans = 17
| Action type: transition action.
static final int | e_TypeUnknown = 0
| Action type: unknown action.
static final int | e_TypeURI = 6
| Action type: uniform resource identifier (URI) action.

## Detailed Description

Launch action is to launch an application, usually to open a file. Class com.foxit.sdk.pdf.actions.LaunchAction is derived from Action and offers functions to get/set launch action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ LaunchAction()

com.foxit.sdk.pdf.actions.LaunchAction.LaunchAction | ( | Action | action | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.actions.LaunchAction.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFileSpec()

FileSpec com.foxit.sdk.pdf.actions.LaunchAction.getFileSpec | ( |  | ) | throws com.foxit.sdk.PDFException

Get the file specification which specifies the application to be launched or the document to be opened or printed.

Returns
  A file specification object. If the return value of function FileSpec.isEmpty for the returned file specification object is true, that means no such property is found.

## ◆ getNewWindowFlag()

int com.foxit.sdk.pdf.actions.LaunchAction.getNewWindowFlag | ( |  | ) | throws com.foxit.sdk.PDFException

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:

  - com.foxit.sdk.pdf.actions.Action.e_NewWindowFlagTrue means to open the destination document in a new window.

  - com.foxit.sdk.pdf.actions.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.

  - com.foxit.sdk.pdf.actions.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ getWinAppOperation()

String com.foxit.sdk.pdf.actions.LaunchAction.getWinAppOperation | ( |  | ) | throws com.foxit.sdk.PDFException

(Windows-specific launch parameters) Get the operation name.

Standard strings for operation name are:

- "open": Open a document.

- "print": Print a document

If the file name of Windows-specific launch parameters represents an application, the operation name would be useless for current action.

Returns
  Operation name.

## ◆ getWinAppParameter()

String com.foxit.sdk.pdf.actions.LaunchAction.getWinAppParameter | ( |  | ) | throws com.foxit.sdk.PDFException

(Windows-specific launch parameters) Get parameter string to be passed to the specified application.

If the file name of Windows-specific launch parameters represents a document, app parameter string will be ignored.

Returns
  Parameter string.

## ◆ getWinDefaultDirectory()

String com.foxit.sdk.pdf.actions.LaunchAction.getWinDefaultDirectory | ( |  | ) | throws com.foxit.sdk.PDFException

(Windows-specific launch parameters) Get the default directory in standard DOS syntax.

Returns
  Default directory.

## ◆ getWinFileName()

String com.foxit.sdk.pdf.actions.LaunchAction.getWinFileName | ( |  | ) | throws com.foxit.sdk.PDFException

(Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed.

Returns
  File name.

## ◆ setFileSpec()

void com.foxit.sdk.pdf.actions.LaunchAction.setFileSpec | ( | FileSpec | file_specification | ) | throws com.foxit.sdk.PDFException

Set a file specification which specifies an application to be launched or a document to be opened or printed.

Parameters

  [in] | file_specification | A valid file specification object. This object should be in the same document with current action object.

Returns
  None.

## ◆ setNewWindowFlag()

void com.foxit.sdk.pdf.actions.LaunchAction.setNewWindowFlag | ( | int | flag | ) | throws com.foxit.sdk.PDFException

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: com.foxit.sdk.pdf.actions.Action.e_NewWindowFlagTrue means to open the destination document in a new window. com.foxit.sdk.pdf.actions.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. com.foxit.sdk.pdf.actions.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ setWinLaunchParameter()

void com.foxit.sdk.pdf.actions.LaunchAction.setWinLaunchParameter | ( | String | file_name,
|  | String | default_directory,
|  | String | operation,
|  | String | app_parameter
| ) |  | throws com.foxit.sdk.PDFException

(Windows-specific launch parameters)Set Windows-specific launch parameters.

This function is used to set Windows-specific launch parameters. Parameter file_name is necessary and can represent either an application or a document. When parameter file_name represents an application, parameters operation and app_parameter are useless.

Parameters

  [in] | file_name | The file name of the application to be launched or the document to be opened or printed. It should not be an empty string.
  [in] | default_directory | Default directory in standard DOS syntax.
  [in] | operation | Operation name. This can be an empty string. If this is not an empty string, it should be one of following strings: "open": Open a document. "print": Print a document
  [in] | app_parameter | Parameter string to be passed to the specified application.

Returns
  None.